Skip to main content
Monitoring & Collection/Scrape Collection
GETMonitoringSince 1.0SynchronousAuth Required

GetDownTargets

List all scrape targets that are currently in a down state

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • itemsList

    Collection of result items

    Example: (nested array)

    • targetUuidString

      UUID of the target being reported on

      Example: target-001-abc

    • targetNameString

      Display name of the target

      Example: node-exporter-host01

    • endpointString

      HTTP endpoint being scraped

      Example: http://192.168.1.10:9100

    • stateString

      Current health state (up, down, unknown)

      Example: up

    • lastScrapeString

      Last scrape

      Example: 2026-01-15T08:00:00Z

    • lastScrapeDurationLong

      Duration of the last scrape in seconds

      Example: 0.032

    • lastErrorString

      Last scrape error message if the scrape failed

      Example: timeout after 30s

    • consecutiveFailsInteger

      Number of consecutive failed scrape attempts

      Example: 20

    • samplesScrapedInteger

      Number of metric samples collected in the last scrape

      Example: 412

Endpoint

GET/api/v1/monitoring/scrape-health/down

/api/v1/monitoring/scrape-health/down

Operation ID

GetDownTargets

Permalink

Request Example

curl -X GET '{host}/api/v1/monitoring/scrape-health/down' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "items": [
    {}
  ]
}

Change History

This API has no change history records yet.

View all change history